<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA6000.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
include('AL10200_CL.php');
	$varible_clase = new clase();
	$varible_clase->nparte1=strtoupper($_POST["tap1"]);
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
	$varible_clase->ubicacion=strtoupper($_POST["tap3"]);
	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($_POST["fic_tec"]));
	$varible_clase->nparte1=strtoupper($_POST["codigo"]);
	$varible_clase->calle=strtoupper($_POST["calle"]);
	$varible_clase->pais=strtoupper($_POST["pais"]);
	$varible_clase->estado=strtoupper($_POST["estados"]);
	$varible_clase->postal=strtoupper($_POST["tcp"]);
	$varible_clase->colonia=strtoupper($_POST["tcol"]);
	$varible_clase->delegacion=strtoupper($_POST["tmun"]);
	$varible_clase->tel1=strtoupper($_POST["tel1"]);
	$varible_clase->tel2=strtoupper($_POST["tel2"]);
	$varible_clase->fax=strtoupper($_POST["fax"]);
	$varible_clase->curp=strtoupper($_POST["curp"]);
	$varible_clase->web=strtoupper($_POST["web"]);
	$varible_clase->mail=strtoupper($_POST["mail"]);
	$varible_clase->rfc=strtoupper($_POST["rfc"]);
	$varible_clase->contacto=strtoupper($_POST["contacto"]);
	$varible_clase->proveedor=strtoupper($_POST["proveedor"]);
	$varible_clase->dias=strtoupper($_POST["dias"]);
	$varible_clase->numero=strtoupper($_POST["numero"]);
	$varible_clase->t1=strtoupper($_POST["select"]);
	//$varible_clase->curp=strtoupper($_POST["codigo"]);
	//$varible_clase->curp=strtoupper($_POST["codigo"]);
	//$varible_clase->curp=strtoupper($_POST["codigo"]);
	
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=AL10200_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id =$varible_clase->nparte1;
		if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/fproveedores/NO_'.$ultimo_id . '.JPG')){
        	}
    	} 	 
		echo '<h2>NUEVO PROVEEDOR AGREGADO:'.$_POST['tap1'].'</h2>';
		echo '<meta content="1; url=AL10200_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO DE TIPO DE CARGO</h2>';
		echo $res;
		echo '<meta content="10; url=AL10200_PR.php" HTTP-EQUIV="REFRESH">';
	}    
?>
</body>
</html>
